<h1> MY Todo's</h1>
<div class="alert alert-success" *ngIf='message'>
  {{message}}
</div>

<div class = "container">
<table class="table">
  <thead>
    <tr>
      <th>Description</th>
      <th>Target Date</th>
      <th>Is Completed?</th>
      <th>Update</th>
      <th>Delete</th>

    </tr>

  </thead>
  <tbody>

    <tr *ngFor="let todo of todos">
      <td>{{todo.description}}</td>
      <td>{{todo.targetDate | date | uppercase | lowercase}}</td>
      <td>{{todo.done}}</td>
      <td><button (click)="updateTodo(todo.id)" class="btn btn-success">Update</button></td>
      <td><button (click)="deleteTodo(todo.id)" class="btn btn-warning">Delete</button></td>
    </tr>
  </tbody>

</table>

<div class="row">

  <button (click)="addTodo()" class="btn btn-success">Add Todo</button>
</div>
</div>